* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html,
body {
    margin: 0;
    padding: 0;
    height: 100%;
}


body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    /* Asegura altura mínima completa */
    font-family: 'Montserrat', sans-serif;
    color: rgb(134, 60, 60);
    background: linear-gradient(to right, #b5bac2, #86a1ce);
}

.main-content {
  flex: 1;
  padding: 20px 10px;
}

p {
    margin: 0;
    padding: 0;
    font-family: 'Lato', sans-serif;
}

.navbar-container {
    position: relative;
    z-index: 2;
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    height: 18vh;
    padding: 40px;
    color: white;
}



.navbar-container ul {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin: 0;
    padding: 0;
}

.navbar-container li {
    list-style: none;
}

.navbar-container li a:hover {
    color: rgb(148, 4, 4);
    text-decoration: none;
    font-weight: bold;
}

.navbar-container a {
    color: white;
    text-decoration: none;
    font-weight: bold;
    padding: 5px;
}


.navbar-container li:hover {
    background-color: gainsboro;
    border-radius: 5px;
    padding: 5px 20px;
}

.navbar-logo {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    font-size: 24px;
    color: white;
    font-weight: bold;
    text-decoration: none;
}

.navbar-container img {
    height: 60px;
}

.hero {
    width: 100%;
    height: 22vh;
    overflow: hidden;
}

.hero-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 20%;
    object-fit: cover;
    z-index: 1;
}


.card-index {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 98%;
    height: 65vh;
    background-color: rgba(121, 120, 120, 0.2);
    filter: brightness(1.1);
    padding: 10px;
    text-align: center;
    margin: auto;
    margin-top: 2%;
    border-radius: 15px;
    position: relative;
}

.title-card-index {
    font-size: 2.5rem;
    color: rgb(134, 60, 60);
    letter-spacing: 8px;
    text-shadow: 2px 2px 4px rgba(18, 51, 197, 0.3);
}

.card-index h3 {
    font-size: 1.8rem;
    font-weight: 600;
    color: rgb(134, 60, 60);
    margin-bottom: 10px;
}

.credit-card-container {
    margin: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    width: 100%;
}

.credit-card-image {
    width: 15%;
    height: 8em;
    padding: 10px;
    border-radius: 15px;
    object-fit: cover;
    background-color: rgba(255, 255, 255, 0.5);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease;
}

.credit-card-image:hover {
    transform: scale(1.05);
}

.text-card-index {
    font-size: 1.8rem;
    color: rgb(134, 60, 60);
    text-align: center;
}

.text-card-footer {
    font-size: 1.3rem;
    font-weight: 600;
    color: rgb(36, 36, 36)
}

.footer {
    position: relative;
    top: 3%;
    height: 10vh;
    left: 0;
    width: 100%;
    margin: 25px auto;
    background-color: rgba(52, 75, 100, 0.2);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.4rem;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 0 20px;
}

.icon-container {
    justify-content: center;
    align-items: center;
    gap: 50px;
    padding: 10px;
    width: 50px;
    height: 50px;
}

.icon-container img {
    width: 50px;
    height: 50px;
    transition: transform 0.3s ease;
}

.icon-container img:hover {
    transform: scale(1.2);
}

.icon-container a {
    color: white;
    text-decoration: none;
}

.icon-container a:hover {
    color: rgb(148, 4, 4);
}